<!--
title: Let’s encrypt
description: 
published: true
date: 2022-01-19T13:59:10.864Z
tags: 
editor: ckeditor
dateCreated: 2021-12-21T14:00:21.336Z
-->

<h1>Let's Encrypt management &amp; limitations&nbsp;</h1>
<p>HTTPS maakt gebruik van gratis TLS certificaten van de Certificate Authority (CA) Let’s Encrypt. Als Automated Certificate Management Environment (ACME) in Kubernetes wordt gebruik gemaakt van cert-manager.</p>
<h1>Rate limit</h1>
<p>Het reate limit weerhoudt u ervan de gratis dienst te misbruiken. De volgende restricties gelden m.b.t. het rate limit.</p>
<p>Let’s Encrypt volgt een rate limit voor certificate requests. Je kunt hier over lezen op de <a href="https://letsencrypt.org/docs/rate-limits/">Let’s Encrypt website</a>. <strong>Rate Limit:</strong> 50 Certificates per Registered Domain per week or 5 Duplicate Certificates per week. Wanneer het limiet bereikt is, kan met de volgende <a href="https://tools.letsdebug.net/cert-search?m=domain&amp;q=demo.jointcyberrange.nl">site </a>gecheckt worden welke wachttijd vereist is. Dit heeft effect op alle subdomeinen binnen het hoofddomein.</p>
<h1>Issuer</h1>
<p>De issuer is het cert-manager onderdeel wat certificaten aanvraagt bij Let’s Encrypt. Om niet boven het rate limit te komen, zou je gebruik moeten maken van een staging issuer. Dat vraagt niet daadwerkelijk een certificaat aan, maar interacteert met de Let’s Encrypt staging environment. Wanneer het resultaat positief is kan productie issuer worden toegepast.</p>
<h2>Staging example</h2>
<pre><code class="language-plaintext">apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
 name: letsencrypt-staging
spec:
  acme:
    # The ACME server URL
    server: https://acme-staging-v02.api.letsencrypt.org/directory
    # Email address used for ACME registration
    email: &lt;email-adres&gt;
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: letsencrypt-staging
    # Enable the HTTP-01 challenge provider
    solvers:
    - http01:
        ingress:
          class:  nginx</code></pre>
<h2>Production example</h2>
<pre><code class="language-plaintext">apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
 name: letsencrypt-prod
 namespace: ctf-platform

spec:
  acme:
    # The ACME server URL
    server: https://acme-v02.api.letsencrypt.org/directory
    # Email address used for ACME registration
    email: &lt;email-adres&gt;
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: letsencrypt-prod
    # Enable the HTTP-01 challenge provider
    solvers:
    - http01:
        ingress:
          class:  nginx</code></pre>
<h1>Email adres</h1>
<p>Let’s Encrypt vereist een email adres en wordt gebruikt voor communicatie met de beheerder. Het email adres kan in de issuer configuratie worden aangepast.</p>
<h2>Cert-manager lifecycle diagram</h2>
<figure class="image"><img src="/Beheer/Hosting/Assets/Cert-manager-lifecycle-diagram.png"></figure>
<p>&nbsp;</p>
